Subject: bug#58561: closed (Source hash mismatch with aggregator + possible guix bug with hashes.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 May 2023 01:57:01 +0000

Your bug report

#58561: Source hash mismatch with aggregator + possible guix bug with hashes.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58561: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58561
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Source hash mismatch with aggregator + possible guix bug with hashes.
From: Brendan Tildesley <[email-masked]>
To: [email-masked]
Date: Sat, 13 May 2023 01:56:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Issue was fixed and Tobias explained the hash issue.

Subject: Source hash mismatch with aggregator + possible guix bug with hashes.
From: Brendan Tildesley <[email-masked]>
To: [email-masked]
Date: Sun, 16 Oct 2022 14:42:14 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm getting this after the recent updates:

sha256 hash mismatch for 
/gnu/store/iv6ixlrvh0swq22fjal0cbfbr9ayaq7m-akregator-22.04.3.tar.xz:
   expected hash: 1yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8
   actual hash: 08n713271i7ifnbrgwrqmxvcpvj45wfqjiidw8zf9rpwxg2m2m9g

However what concerned me more is that when I look in the source code it 
looks like this:

(sha256
         (base32 "9yy5c29zxpli4cddknmdvjkgii3j7pvw6lhwqfrqjc8jh83gm8f8"))

Notice how at the start its a '9', not a '1'?

I've tried with both guix pull local repo and building from source.

Is there a bug with how guix is reading/writing sha256 hashes?